# Class HermiteRenderer

java.lang.Object
org.jmol.g3d.HermiteRenderer

All Implemented Interfaces:
  `G3DRenderer`

public class HermiteRenderer extends Object implements G3DRenderer

Implementation of hermite curves for drawing smoothed curves that pass through specified points.

Examples of usage in Jmol include the commands: `trace, ribbons and cartoons`.

for some useful background info about hermite curves check out http://www.cubic.org/docs/hermite.htm Technically, Jmol implements a Cardinal spline varient of the Hermitian spline

Author:
  Miguel, miguel@jmol.org

## Constructor Summary

Constructors
Constructor
Description
`HermiteRenderer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`renderHermiteRibbon(boolean fill, boolean border, int tension, P3 p0, P3 p1, P3 p2, P3 p3, P3 p4, P3 p5, P3 p6, P3 p7, int aspectRatio, int fillType)`
`void`
`renderHermiteRope(boolean fill, int tension, int diameterBeg, int diameterMid, int diameterEnd, P3 p0, P3 p1, P3 p2, P3 p3)`
`G3DRenderer`
`set(JmolRendererInterface g3d, GData gdata)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HermiteRenderer

public HermiteRenderer()

## Method Details

### set

public G3DRenderer set(JmolRendererInterface g3d, GData gdata)

Specified by:
  `set` in interface `G3DRenderer`

### renderHermiteRope

public void renderHermiteRope(boolean fill, int tension, int diameterBeg, int diameterMid, int diameterEnd, P3 p0, P3 p1, P3 p2, P3 p3)

### renderHermiteRibbon

public void renderHermiteRibbon(boolean fill, boolean border, int tension, P3 p0, P3 p1, P3 p2, P3 p3, P3 p4, P3 p5, P3 p6, P3 p7, int aspectRatio, int fillType)

Parameters:
  `fill` -
  `border` -
  `tension` -
  `p0` -
  `p1` -
  `p2` -
  `p3` -
  `p4` -
  `p5` -
  `p6` -
  `p7` -
  `aspectRatio` -
  `fillType` - 1 front; -1 back; 0 both